This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 484051 - (sockettest) Review Request: sockettest - Test My Socket
Review Request: sockettest - Test My Socket
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
: 621950 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2009-02-04 09:56 EST by Itamar Reis Peixoto
Modified: 2010-12-17 10:23 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-17 10:23:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
fixed warnings in SocketTest.jar (9.56 KB, patch)
2010-08-17 10:35 EDT, PRABIN KUMAR DATTA
no flags Details | Diff

  None (edit)
Description Itamar Reis Peixoto 2009-02-04 09:56:33 EST
Spec URL: http://ispbrasil.com.br/sockettest/sockettest.spec
SRPM URL: http://ispbrasil.com.br/sockettest/sockettest-3.0-1.fc10.src.rpm
Description:

A java tool for socket testing. It can create both TCP and UDP client or server. It can be used to test any server or client that uses TCP or UDP protocol to communicate. 

koji scratch build

http://koji.fedoraproject.org/koji/taskinfo?taskID=1103804
Comment 1 Jeff Garzik 2010-07-08 00:33:42 EDT
Maybe I'm missing something... how is this tool relevant to the Fedora userbase?
Comment 2 Rafael Aquini 2010-08-06 19:12:30 EDT
*** Bug 621950 has been marked as a duplicate of this bug. ***
Comment 3 PRABIN KUMAR DATTA 2010-08-06 19:37:45 EDT
==MUST: rpmlint must be run on every package. The output should be posted in the review.==

** rpmlint **
output:
$ rpmlint SRPMS/sockettest-3.0-1.fc10.src.rpm
sockettest.src: W: strange-permission sockettest 0755L
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint rpmbuild/RPMS/i686/sockettest-3.0-1.fc13.i686.rpm
sockettest.i686: E: no-binary
sockettest.i686: W: no-manual-page-for-binary sockettest
1 packages and 0 specfiles checked; 1 errors, 1 warnings.


==MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.==

**Compliling errors**
[javac] Compiling 13 source files to
/home/prabindatta/rpmbuild/BUILD/SocketTest/build/classes
    [javac] ----------
    [javac] 1. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/MyTrustManager.java
(at line 27)
    [javac]     KeyStore ks = null;
    [javac]              ^^
    [javac] The local variable ks is never read
    [javac] ----------
    [javac] ----------
    [javac] 2. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/PortModel.java
(at line 13)
    [javac]     public class PortModel extends AbstractTableModel {
    [javac]                  ^^^^^^^^^
    [javac] The serializable class PortModel does not declare a static
final serialVersionUID field of type long
    [javac] ----------
    [javac] ----------
    [javac] 3. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/SocketTest.java
    [javac]  (at line 4)
    [javac]     import java.applet.*;
    [javac]            ^^^^^^^^^^^
    [javac] The import java.applet is never used
    [javac] ----------
    [javac] 4. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/SocketTest.java
    [javac]  (at line 5)
    [javac]     import java.awt.event.*;
    [javac]            ^^^^^^^^^^^^^^
    [javac] The import java.awt.event is never used
    [javac] ----------
    [javac] 5. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/SocketTest.java
    [javac]  (at line 7)
    [javac]     import javax.swing.event.*;
    [javac]            ^^^^^^^^^^^^^^^^^
    [javac] The import javax.swing.event is never used
    [javac] ----------
    [javac] 6. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/SocketTest.java
    [javac]  (at line 8)
    [javac]     import javax.swing.border.*;
    [javac]            ^^^^^^^^^^^^^^^^^^
    [javac] The import javax.swing.border is never used
    [javac] ----------
    [javac] 7. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/SocketTest.java
    [javac]  (at line 19)
    [javac]     public class SocketTest extends JFrame {
    [javac]                  ^^^^^^^^^^
    [javac] The serializable class SocketTest does not declare a
static final serialVersionUID field of type long
    [javac] ----------
    [javac] ----------
    [javac] 8. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/UdpServer.java
(at line 4)
    [javac]     import java.io.*;
    [javac]            ^^^^^^^
    [javac] The import java.io is never used
    [javac] ----------
    [javac] ----------
    [javac] 9. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/swing/About.java
(at line 4)
    [javac]     import java.awt.event.*;
    [javac]            ^^^^^^^^^^^^^^
    [javac] The import java.awt.event is never used
    [javac] ----------
    [javac] 10. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/swing/About.java
(at line 6)
    [javac]     import javax.swing.event.*;
    [javac]            ^^^^^^^^^^^^^^^^^
    [javac] The import javax.swing.event is never used
    [javac] ----------
    [javac] 11. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/swing/About.java
(at line 7)
    [javac]     import javax.swing.border.*;
    [javac]            ^^^^^^^^^^^^^^^^^^
    [javac] The import javax.swing.border is never used
    [javac] ----------
    [javac] 12. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/swing/About.java
(at line 15)
    [javac]     public class About extends JPanel /*JFrame*/ {
    [javac]                  ^^^^^
    [javac] The serializable class About does not declare a static
final serialVersionUID field of type long
    [javac] ----------
    [javac] ----------
    [javac] 13. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/swing/PortDialog.ja
    [javac] va (at line 4)
    [javac]     import javax.swing.table.*;
    [javac]            ^^^^^^^^^^^^^^^^^
    [javac] The import javax.swing.table is never used
    [javac] ----------
    [javac] 14. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/swing/PortDialog.ja
    [javac] va (at line 6)
    [javac]     import java.io.IOException;
    [javac]            ^^^^^^^^^^^^^^^^^^^
    [javac] The import java.io.IOException is never used
    [javac] ----------
    [javac] 15. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/swing/PortDialog.ja
    [javac] va (at line 14)
    [javac]     public class PortDialog extends JDialog {
    [javac]                  ^^^^^^^^^^
    [javac] The serializable class PortDialog does not declare a
static final serialVersionUID field of type long
    [javac] ----------
    [javac] ----------
    [javac] 16. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/swing/SocketTestClient.java
(at line 6)
    [javac]     import javax.swing.event.*;
    [javac]            ^^^^^^^^^^^^^^^^^
    [javac] The import javax.swing.event is never used
    [javac] ----------
    [javac] 17. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/swing/SocketTestClient.java
(at line 14)
    [javac]     import javax.net.*;
    [javac]            ^^^^^^^^^
    [javac] The import javax.net is never used
    [javac] ----------
    [javac] 18. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/swing/SocketTestClient.java
(at line 22)
    [javac]     public class SocketTestClient extends JPanel {
    [javac]                  ^^^^^^^^^^^^^^^^
    [javac] The serializable class SocketTestClient does not declare a
static final serialVersionUID field of type long
    [javac] ----------
    [javac] 19. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/swing/SocketTestCli
    [javac] ent.java (at line 127)
    [javac]     dia.show();
    [javac]     ^^^^^^^^^^
    [javac] The method show() from the type Dialog is deprecated
    [javac] ----------
    [javac] ----------
    [javac] 20. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/swing/SocketTestSer
    [javac] ver.java (at line 6)
    [javac]     import javax.swing.event.*;
    [javac]            ^^^^^^^^^^^^^^^^^
    [javac] The import javax.swing.event is never used
    [javac] ----------
    [javac] 21. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/swing/SocketTestSer
    [javac] ver.java (at line 18)
    [javac]     public class SocketTestServer extends JPanel /*JFrame*/ {
    [javac]                  ^^^^^^^^^^^^^^^^
    [javac] The serializable class SocketTestServer does not declare a
static final serialVersionUID field of type long
    [javac] ----------
    [javac] 22. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/swing/SocketTestServer.java
(at line 123)
    [javac]     dia.show();
    [javac]     ^^^^^^^^^^
    [javac] The method show() from the type Dialog is deprecated
    [javac] ----------
    [javac] ----------
    [javac] 23. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/swing/SocketTestUdp.java
(at line 6)
    [javac]     import javax.swing.event.*;
    [javac]            ^^^^^^^^^^^^^^^^^
    [javac] The import javax.swing.event is never used
    [javac] ----------
    [javac] 24. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/swing/SocketTestUdp.java
(at line 18)
    [javac]     public class SocketTestUdp extends JPanel /*JFrame*/ {
    [javac]                  ^^^^^^^^^^^^^
    [javac] The serializable class SocketTestUdp does not declare a
static final serialVersionUID field of type long
    [javac] ----------
    [javac] 25. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/swing/SocketTestUdp
    [javac] .java (at line 60)
    [javac]     private DatagramPacket packet;
    [javac]                            ^^^^^^
    [javac] The field SocketTestUdp.packet is never read locally
    [javac] ----------
    [javac] 26. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/swing/SocketTestUdp
    [javac] .java (at line 128)
    [javac]     dia.show();
    [javac]     ^^^^^^^^^^
    [javac] The method show() from the type Dialog is deprecated
    [javac] ----------
    [javac] ----------
    [javac] 27. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/swing/SplashScreen.
    [javac] java (at line 5)
    [javac]     import javax.swing.border.*;
    [javac]            ^^^^^^^^^^^^^^^^^^
    [javac] The import javax.swing.border is never used
    [javac] ----------
    [javac] 28. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/swing/SplashScreen.
    [javac] java (at line 6)
    [javac]     import java.awt.event.*;
    [javac]            ^^^^^^^^^^^^^^
    [javac] The import java.awt.event is never used
    [javac] ----------
    [javac] 29. WARNING in
/home/prabindatta/rpmbuild/BUILD/SocketTest/src/net/sf/sockettest/swing/SplashScreen.
    [javac] java (at line 13)
    [javac]     public class SplashScreen extends JWindow {
    [javac]                  ^^^^^^^^^^^^
    [javac] The serializable class SplashScreen does not declare a
static final serialVersionUID field of type long
    [javac] ----------
    [javac] 29 problems (29 warnings)
Comment 5 Mohamed El Morabity 2010-08-06 19:49:50 EDT
(In reply to comment #3)
> ==MUST: The package MUST successfully compile and build into binary rpms on at
And this is the case here, there is no error in the logs you pasted, only warnings considered to be harmless in Java here... Is the needinfo flag really necessary here? I really don't think so.
Comment 6 PRABIN KUMAR DATTA 2010-08-06 20:27:28 EDT
The truth behind this is, this is my 1st time package review and don't know much.
After, this I hope I have gathered bit of knowledge for package review process.

> Is the needinfo flag really necessary here? I really don't think so.    
No, it is not necessary. But, i have used this just to make it easy to read.

Thanks Mohamed El Morabity.
Comment 7 PRABIN KUMAR DATTA 2010-08-07 18:31:38 EDT
> there is no error in the logs you pasted, only
> warnings considered to be harmless in Java here
Thou, this is my 1st time package review, but this is not the 1st time I am doing Java programming.
I believe it is good to remove as much as warnings if it is possible.
If I shall use this software for my own use I shall never leave these warning as it is, then how as a fedora developer I can deliver a package with so many warnings to others.
Java is updating continuously so today's warning can be updated as tomorrow's error. Then again a person has to reprogram this. 
I don't mean to say you are wrong. But I just want to say, as a programmer we have to try to build something perfect(99%). So, that users of fedora feel proud to use it, not just as a free OS.
Comment 8 PRABIN KUMAR DATTA 2010-08-17 10:35:31 EDT
Created attachment 439130 [details]
fixed warnings in SocketTest.jar

Added patch to fix warnings in SocketTest.jar
Comment 10 PRABIN KUMAR DATTA 2010-08-18 09:47:41 EDT
changes in sockettest.spec file:

#01: $ rpmlint rpmbuild/RPMS/i686/sockettest-3.0-1.fc13.i686.rpm 
sockettest.i686: E: no-binary

Added:
BuildArchitectures: noarch
to the spec file

#02. $ rpmlint SRPMS/sockettest-3.0-1.fc10.src.rpm 
sockettest.src: W: strange-permission sockettest 0755L
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

changed file permission of all source files and specfile to 0644

#03. Added Patch for java warnings:

Added:
Patch0:  sockettest.patch
%patch0 -p1 -b .fix
in specfile.

#04: sockettest.desktop's 1st line contain new line(removed new line).

Added:
sed '1d' %{buildroot}%{_datadir}/applications/sockettest.desktop > %{buildroot}%{_datadir}/applications/sockettest1.desktop
mv -f %{buildroot}%{_datadir}/applications/sockettest1.desktop %{buildroot}%{_datadir}/applications/sockettest.desktop
to the spec file.
Comment 11 Mohamed El Morabity 2010-08-18 10:16:14 EDT
I don't really understand why you submit your own version of this package here... Please respect the guidelines concerning the non-responsive mainteners:
   http://fedoraproject.org/wiki/PackageMaintainers/Policy#Review_workflow
If the original submitter is still non responding as explained in this policy, then you'll have the right to close this review and resubmit yours.

By the way, did you submit your patch upstream?
Comment 12 PRABIN KUMAR DATTA 2010-08-18 11:41:46 EDT
Thanks  Mohamed El Morabity 

> I don't really understand why you submit your own version of this package
> here... 
I have submitted this by mistake after that I was searching for any way to delete my previous comment but can't find it.
If you know then please kindly reply how can I delete my previous comment??
Thanks in advance.
Have a Nice Day.
Comment 13 Jason Tibbitts 2010-11-02 19:30:45 EDT
This ticket is very confusing.  It doesn't seem that there's been a single response from the original submitter, which is unfortunate because it seems at least one other person wants to submit this.  I guess what I'll do is make a few comments, and then if the submitter does not reply then I'll close the ticket and let someone else submit this package.

The package in the original comment does build OK for me in rawhide.  I don't see any of the errors or warnings listed in comment 3.  Not sure why; Java isn't really my field.

The package really needs to be noarch; I see nothing arch-specific about the package, rpmlint complains about it (no-binary) and the debuginfo package is empty.  That would all be fixed with BuildArch: noarch.

There are various bits of the spec which are unnecessary in modern Fedora: BuildRoot:, the first line of %install, and the entire %clean section.  You should remove them unless you intend to target EPEL with the same spec file.
Comment 14 Itamar Reis Peixoto 2010-11-03 00:02:58 EDT
you can continue reviewing this package or ask PRABIN KUMAR DATTA to open a new review request.
Comment 15 Jason Tibbitts 2010-11-03 08:30:44 EDT
So, if you don't want me to close this, are you planning to address any of the review comments?  If you're not even going to address the issues I raised in comment 13 then I guess I will go ahead and close this.

Note You need to log in before you can comment on or make changes to this bug.